org.springframework.messaging.simp.config

## Class AbstractBrokerRegistration

- java.lang.Object
- - org.springframework.messaging.simp.config.AbstractBrokerRegistration

Direct Known Subclasses:
  SimpleBrokerRegistration, StompBrokerRelayRegistration

    public abstract class AbstractBrokerRegistration
    extends Object

Base class for message broker registration classes.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`AbstractBrokerRegistration(SubscribableChannel clientInboundChannel, MessageChannel clientOutboundChannel, String[] destinationPrefixes)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected SubscribableChannel` `getClientInboundChannel()`
`protected MessageChannel` `getClientOutboundChannel()`
`protected Collection<String>` `getDestinationPrefixes()`
`protected abstract AbstractBrokerMessageHandler` `getMessageHandler(SubscribableChannel brokerChannel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractBrokerRegistration

    public AbstractBrokerRegistration(SubscribableChannel clientInboundChannel,
                                      MessageChannel clientOutboundChannel,
                                      @Nullable
                                      String[] destinationPrefixes)

### Method Detail

#### getClientInboundChannel

    protected SubscribableChannel getClientInboundChannel()

#### getClientOutboundChannel

    protected MessageChannel getClientOutboundChannel()

#### getDestinationPrefixes

    protected Collection<String> getDestinationPrefixes()

#### getMessageHandler

    protected abstract AbstractBrokerMessageHandler getMessageHandler(SubscribableChannel brokerChannel)